org.apache.olingo.client.api.domain

## Interface ClientObjectFactory

-     public interface ClientObjectFactory

  Entry point for generating OData domain objects.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientLink` | `newAssociationLink(String name, URI link)`
    `ClientProperty` | `newCollectionProperty(String name, ClientCollectionValue<? extends ClientValue> value)` Instantiates a new collection property.
    `ClientCollectionValue<ClientValue>` | `newCollectionValue(String typeName)`
    `ClientProperty` | `newComplexProperty(String name, ClientComplexValue value)` Instantiates a new complex property.
    `ClientComplexValue` | `newComplexValue(String typeName)`
    `ClientInlineEntity` | `newDeepInsertEntity(String name, ClientEntity entity)` Instantiates a new entity (for deep insert).
    `ClientInlineEntitySet` | `newDeepInsertEntitySet(String name, ClientEntitySet entitySet)` Instantiates a new entity set (for deep insert).
    `ClientDelta` | `newDelta()` Instantiates a new delta property.
    `ClientDelta` | `newDelta(URI next)` Instantiates a new delta property.
    `ClientEntity` | `newEntity(FullQualifiedName typeName)` Instantiates a new entity.
    `ClientEntity` | `newEntity(FullQualifiedName typeName, URI link)` Instantiates a new entity.
    `ClientLink` | `newEntityNavigationLink(String name, URI link)` Instantiates a new entity navigation link.
    `ClientEntitySet` | `newEntitySet()` Instantiates a new entity set.
    `ClientEntitySet` | `newEntitySet(URI next)` Instantiates a new entity set.
    `ClientLink` | `newEntitySetNavigationLink(String name, URI link)` Instantiates a new entity set navigation link.
    `ClientProperty` | `newEnumProperty(String name, ClientEnumValue value)` Instantiates a new enum property.
    `ClientEnumValue` | `newEnumValue(String typeName, String value)`
    `ClientLink` | `newMediaEditLink(String name, URI link, String type, String eTag)`
    `ClientLink` | `newMediaReadLink(String name, URI link, String type, String eTag)`
    `ClientProperty` | `newPrimitiveProperty(String name, ClientPrimitiveValue value)` Instantiates a new primitive property.
    `ClientPrimitiveValue.Builder` | `newPrimitiveValueBuilder()`
    `ClientSingleton` | `newSingleton(FullQualifiedName typeName)` Instantiates a new singleton entity.

- - ### Method Detail

    - #### newEntitySet

          ClientEntitySet newEntitySet()

      Instantiates a new entity set.
      Returns:
        entity set.

    - #### newEntitySet

          ClientEntitySet newEntitySet(URI next)

      Instantiates a new entity set.
      Parameters:
        `next` - next link.
      Returns:
        entity set.

    - #### newEntity

          ClientEntity newEntity(FullQualifiedName typeName)

      Instantiates a new entity.
      Parameters:
        `typeName` - OData entity type name.
      Returns:
        entity.

    - #### newEntity

          ClientEntity newEntity(FullQualifiedName typeName,
                                 URI link)

      Instantiates a new entity.
      Parameters:
        `typeName` - OData entity type name.
        `link` - self link.
      Returns:
        entity.

    - #### newDeepInsertEntitySet

          ClientInlineEntitySet newDeepInsertEntitySet(String name,
                                                       ClientEntitySet entitySet)

      Instantiates a new entity set (for deep insert).
      Parameters:
        `name` - name.
        `entitySet` - entity set.
      Returns:
        in-line entity set.

    - #### newDeepInsertEntity

          ClientInlineEntity newDeepInsertEntity(String name,
                                                 ClientEntity entity)

      Instantiates a new entity (for deep insert).
      Parameters:
        `name` - name.
        `entity` - entity.
      Returns:
        in-line entity.

    - #### newEntitySetNavigationLink

          ClientLink newEntitySetNavigationLink(String name,
                                                URI link)

      Instantiates a new entity set navigation link.
      Parameters:
        `name` - name.
        `link` - link.
      Returns:
        entity set navigation link.

    - #### newSingleton

          ClientSingleton newSingleton(FullQualifiedName typeName)

      Instantiates a new singleton entity.
      Parameters:
        `typeName` - OData singleton entity type name.
      Returns:
        new singleton entity.

    - #### newEntityNavigationLink

          ClientLink newEntityNavigationLink(String name,
                                             URI link)

      Instantiates a new entity navigation link.
      Parameters:
        `name` - name.
        `link` - link.
      Returns:
        entity navigation link.

    - #### newAssociationLink

          ClientLink newAssociationLink(String name,
                                        URI link)

    - #### newMediaEditLink

          ClientLink newMediaEditLink(String name,
                                      URI link,
                                      String type,
                                      String eTag)

    - #### newMediaReadLink

          ClientLink newMediaReadLink(String name,
                                      URI link,
                                      String type,
                                      String eTag)

    - #### newPrimitiveValueBuilder

          ClientPrimitiveValue.Builder newPrimitiveValueBuilder()

    - #### newEnumValue

          ClientEnumValue newEnumValue(String typeName,
                                       String value)

    - #### newComplexValue

          ClientComplexValue newComplexValue(String typeName)

    - #### newCollectionValue

          ClientCollectionValue<ClientValue> newCollectionValue(String typeName)

    - #### newPrimitiveProperty

          ClientProperty newPrimitiveProperty(String name,
                                              ClientPrimitiveValue value)

      Instantiates a new primitive property.
      Parameters:
        `name` - name.
        `value` - primitive value.
      Returns:
        primitive property.

    - #### newComplexProperty

          ClientProperty newComplexProperty(String name,
                                            ClientComplexValue value)

      Instantiates a new complex property.
      Parameters:
        `name` - name.
        `value` - value.
      Returns:
        complex property.

    - #### newCollectionProperty

          ClientProperty newCollectionProperty(String name,
                                               ClientCollectionValue<? extends ClientValue> value)

      Instantiates a new collection property.
      Parameters:
        `name` - name.
        `value` - value.
      Returns:
        collection property.

    - #### newEnumProperty

          ClientProperty newEnumProperty(String name,
                                         ClientEnumValue value)

      Instantiates a new enum property.
      Parameters:
        `name` - name.
        `value` - value.
      Returns:
        new enum property.

    - #### newDelta

          ClientDelta newDelta()

      Instantiates a new delta property.
      Returns:
        new delta property.

    - #### newDelta

          ClientDelta newDelta(URI next)

      Instantiates a new delta property.
      Parameters:
        `next` - next link for delta property
      Returns:
        new delta property.

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.